function [s,w] = simuWavelet(h,g,sc)

% implements cascade algorithm to approximate the scaling
% function s and the wavelet g determined by filters h and
% g at scale sc

s = h;
w = g;
for i = 2:sc
	s1 = zeros(1,2*length(s)-1);
	s1(1:2:length(s1)) = s;
	w1 = zeros(1,2*length(w)-1);
	w1(1:2:length(w1)) = w;
	s = conv(s1,h)*sqrt(2);
	w = conv(w1,h)*sqrt(2);
end

